services:
  server:
    container_name: fs-onboarding
    hostname: fs-onboarding
    image: ghcr.io/troogs/fs-onboarding/server:latest
    ports:
      - "8100:56000"
    env_file:
      - .env
    environment:
      # Mail Configuration Examples. These override options in appsettings.json.
      # All values below can also be set via the active .env file or appsettings.json.
      - Settings__Mail__Host=${MAIL_HOST:-smtp.example.com}
      - Settings__Mail__Port=${MAIL_PORT:-587}
      - Settings__Mail__Username=${MAIL_USERNAME:-your_username}
      - Settings__Mail__Password=${MAIL_PASSWORD:-your_password}
      - Settings__Mail__FromAddress=${MAIL_FROM_ADDRESS:-no-reply@example.com}
      - Settings__Mail__UseSsl=${MAIL_USE_SSL:-true}
    volumes:
      - /docker/data/fs-onboarding/config:/app/config/
      - /docker/data/fs-onboarding/data:/app/data/